const dbProdutos = _db.query(`
select produto.nome , categoria.nome as "Categoria" , produto.quantidade , produto.preco , loja.mercearia as "Loja"
from produto, categoria, loja
where produto.categoria_id = categoria.id
and produto.loja_id = loja.id
`)

const dados = _val.list()

for (const dbProduto of dbProdutos) {
    //     const dbCategorias = _db.query(`
    //         select categoria.nome from categoria inner join
    //         produto on categoria.id = produto.categoria_id where produto.categoria_id = ?
    //     `, dbProduto.getInt("id"))

    //     const dbLojas = _db.query(`
    //     select loja.mercearia from loja inner join
    //     produto on loja.id = produto.loja_id where produto.loja_id = ?
    // `, dbProduto.getInt("id"))


    dados.add(
        _val.map()
            .set("id", dbProduto.getInt("id"))
            .set("nome", dbProduto.getString("nome"))
            .set("categoria", dbProduto.getString("categoria"))
            .set("quantidade", dbProduto.getString("quantidade"))
            .set("preco", dbProduto.getFloat("preco").toFixed(2))
            .set("loja", dbProduto.getString("loja"))

    )

}

_out.json(dados)
